OGRE: Ogre::Grid3DPageStrategy Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::Grid3DPageStrategy Class Reference
Components

Page strategy which loads new pages based on a regular 3D grid. More...

`#include <OgreGrid3DPageStrategy.h>`

Inheritance diagram for Ogre::Grid3DPageStrategy:
[legend]

## Public Member Functions
| Grid3DPageStrategy (PageManager *manager)
| ~Grid3DPageStrategy ()
PageStrategyData * | createData ()
| Create a PageStrategyData instance containing the data specific to this PageStrategy. More...
void | destroyData (PageStrategyData *d)
| Destroy a PageStrategyData instance containing the data specific to this PageStrategy. More...
virtual void | frameEnd (Real timeElapsed, PagedWorldSection *section)
| Called when the frame ends. More...
virtual void | frameStart (Real timeSinceLastFrame, PagedWorldSection *section)
| Called when the frame starts. More...
PageManager * | getManager () const
const String & | getName () const
PageID | getPageID (const Vector3 &worldPos, PagedWorldSection *section)
| Get the page ID for a given world position. More...
void | notifyCamera (Camera *cam, PagedWorldSection *section)
| Called when a camera is used for any kind of rendering. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | updateDebugDisplay (Page *p, SceneNode *sn)
| Update the contents of the passed in SceneNode to reflect the debug display of a given page. More...

## Detailed Description

Page strategy which loads new pages based on a regular 3D grid.

Remarks
  The grid can be up to 1024 x 1024 x 1024 cells in size. PageIDs are generated like this: (slice*1024 + row) * 1024 + col. The grid is centred around the grid origin, such that the boundaries of the cell around that origin are [-CellSize/2, CellSize/2)

## Member Function Documentation

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreGrid3DPageStrategy.h